UptimeUptime Wiki

Prospect

Parameters

Path Parameters
id*integer

Entity id

Formatint64
Range0 <= value

Try the endpoint

GET
/api/v1/prospects/{id}

Code example

curl -X GET "https://example.com/api/v1/prospects/0"

Response example

{  "id": 0,  "name": "string",  "archetype": "string",  "tier": "string",  "signup_bonus_dollars": 0.1,  "compliance_required": "string",  "required_arch": "string",  "requires_multi_az": true,  "required_region": 0,  "services_summary": "string",  "service_kinds": [    "string"  ],  "estimated_monthly_revenue_dollars": 0.1,  "expires_at_ns": 0,  "initial_vm_count": 0,  "vcpu_per_vm": 0,  "memory_mb_per_vm": 0,  "block_gb_per_vm": 0,  "growth_ceiling_vms": 0,  "fit_vcpu_after_pct": 0.1,  "fit_mem_after_pct": 0.1,  "fit_ssd_after_pct": 0.1,  "fit_can_serve_now": true,  "fit_oversubscribed": true,  "fit_over_capacity": true,  "fit_recommendation": "string",  "requires_gpu": true,  "gpu_slices_demand": 0,  "services": [    {      "class_tag": "string",      "label": "string",      "requested_count": 0,      "vcpu": 0,      "memory_mb": 0,      "storage_gb": 0,      "throughput_label": "string",      "durability": "string",      "vgpu_slices": 0,      "gpu_mem_mb": 0    }  ],  "demands_audit_logs": true,  "demands_air_gap": true,  "requires_private_segment": true,  "requires_dedicated_hosts": true,  "requires_fault_isolation": true,  "covering_segment_id": 0,  "covering_segment_name": "string",  "requires_uncontended": true,  "requires_dedicated": true,  "uncontended_hosts_available": 0}

Response body

200The entity
application/json

On this page